package labss.lang.il.model.impl;

import java.io.PrintStream;

import labss.lang.il.model.Expression;


/**
 * @author Riccardo Solmi
 */
public abstract class AbstractBinaryExpression implements Expression {
	protected Expression exp1;
	protected Expression exp2;

	public AbstractBinaryExpression(Expression exp1, Expression exp2) {
		this.exp1 = exp1;
		this.exp2 = exp2;
	}

	/*
	 * Template Method
	 * @see unibo.cs.labss.editor.il.model.LanguageEntity#prettyPrint(java.io.PrintStream)
	 */
	public void prettyPrint(PrintStream out) {
		exp1.prettyPrint(out);
		out.print(opStr());
		exp2.prettyPrint(out);
	}
	protected abstract String opStr();
}
