package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.model.Literal;

/**
 * @author Riccardo Solmi
 */
public abstract class AbstractBooleanIntegerBinaryExpression extends AbstractBinaryExpression {
	public AbstractBooleanIntegerBinaryExpression(Expression exp1, Expression exp2) {
		super(exp1, exp2);
	}

	/*
	 * Template Method
	 * @see unibo.cs.labss.editor.il.model.Expression#evaluate()
	 */
	public Literal evaluate() {
		return evaluate(exp1.evaluate().intValue(), exp2.evaluate().intValue()) ? BooleanLiteral.TRUE : BooleanLiteral.FALSE;
	}
	protected abstract boolean evaluate(int l1, int l2);
}
