package labss.lang.il.model.impl;

import labss.lang.il.model.*;

/**
 * @author Riccardo Solmi
 */
public class AndExpression extends AbstractBooleanBinaryExpression {
  public AndExpression(Expression exp1, Expression exp2) {
    super(exp1, exp2);
  }

  protected final String opStr() {
  	return " & ";
  }
 
  protected final boolean evaluate(boolean l1, boolean l2) {
  	return l1 & l2;
  }
}