package labss.lang.il.model.impl;

import java.io.*;


/**
 * @author Riccardo Solmi
 */

public class IntegerLiteral extends AbstractLiteral {
	private int val;

  public IntegerLiteral(int val) {
    this.val = val;
  }

  public void prettyPrint(PrintStream out) {
    out.print(val);
  }

  public int intValue() {
    return val;
  }

  public String toString() {
	return String.valueOf(val);
  }
}